Skip to main content
PUT
Update a feature

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Unique ID of the feature

Body

application/json
name
string
Example:

"Advanced Analytics Export"

description
string | null
Example:

"Export reporting data to CSV, PDF, and Parquet"

featureType
enum<string>
Available options:
boolean,
event,
trait
Example:

"boolean"

eventKey
string | null
icon
string | null

Response

Feature updated successfully

id
string
Example:

"cflag_01h9zabc123"

name
string
Example:

"Analytics Export"

featureKey
string
Example:

"analytics_export"

featureType
enum<string>
Available options:
boolean,
event,
trait
Example:

"boolean"

eventKey
string | null
Example:

"export_generated"

icon
string | null
Example:

"bar-chart-2"

description
string | null
Example:

"Ability to export reporting data to CSV and PDF"

linkedPlans
object[]
createdAt
string<date-time>
Last modified on September 19, 2026